Unassign Group Layers
DELETE
/{organization}/projects/{projectId}/groups/{groupId}/layers
const url = 'https://app.civillo.com/api/v1/example/projects/1/groups/example/layers';const options = { method: 'DELETE', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"layerIds":[1,2,3]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://app.civillo.com/api/v1/example/projects/1/groups/example/layers \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "layerIds": [ 1, 2, 3 ] }'Remove layer associations to this group. This action will remove layers provided in the request body, ignoring layers that are not associated or do not exist.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”organization
required
string
The organization nickname
projectId
required
integer
The project id
groupId
required
string
The group id
Request Body
Section titled “Request Body”The layer ids to be unassociated with this group.
Media typeapplication/json
object
layerIds
Array<integer>
Example
{ "layerIds": [ 1, 2, 3 ]}Responses
Section titled “ Responses ”Successful response
Bad Request
Unauthorized
Forbidden